GammalLib - Bug #990

Make GModelSpectralNodes save against zero intensities.

11/18/2013 09:06 PM - Knédlseder Jurgen

Status: Closed Start date: 11/18/2013
Priority: Normal Due date:

Assigned To: Knédlseder Jurgen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.3.0

Description

So far intensities of spectral nodes can be set to zero, yet the code produces internally NaN as the log10 of the intensities is
computed. The class should be make save against setting non-positive intensities.

History

#1 - 03/16/2017 12:20 PM - Knodlseder Jiirgen
- Status changed from New to In Progress

- Assigned To set to Knddlseder Jiirgen

- Target version set to 1.3.0

- % Done changed from 0 to 80

Added exceptions if energy or intensity values are not positive.

#2 - 03/16/2017 03:34 PM - Knodlseder Jiirgen
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Merged into devel.

04/23/2024

1/1



http://www.tcpdf.org

